<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Raumbelegung\RaumUebersichtFilter;

abstract class RaumUebersichtFilterView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  protected function getDefaultDataModulArray()
  {
    $datamodul = new class() extends \Datamodul {
      public $gebaeude;
      public $multiSelect;
    };

    $datamodul->gebaeuden = array_map(static function($gebaeude) {
      if ($gebaeude->schule === '') {
        $gebaeude->key = '-';
        $gebaeude->value = 'Ohne Gebäude';
      } else {
        $gebaeude->key = $gebaeude->schule;
        $gebaeude->value = $gebaeude->key;
      }

      return $gebaeude;
    }, $this->viewModel->gebaeuden);
    $datamodul->multiSelect = $this->viewModel->multiSelect;

    return array($datamodul);
  }
}

class RaumUebersichtFilterViewModel
{
  public $gebaeuden;
  public $isMultiple;
  public $multiSelect;
}